divert(-1)

divert`'dnl
dnl --------------------------------------------------------------------------
Source: gnustep-base
Section: devel
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Eric Heintzmann <eric@gnustep.fr.st>
Standards-Version: 3.6.1.1
Build-Depends: debhelper (>= 4), gobjc (>= V_OBJC), gnustep-make (>= V_MAKE), libffcall1-dev (>= 1.10), libxml2-dev, libxslt1-dev, libssl-dev, zlib1g-dev, m4, libkvm-dev [KVM_ARCHS]
Build-Depends-Indep: texi2html, texinfo, tetex-bin

Package: gnustep-base-common
Section: libs
Architecture: any
Depends: gnustep-make (>= V_MAKE), timezoneconf, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnustep-base-doc (= ${Source-Version})
Conflicts: gnustep-ssl, gnustep-base1 (<< 1.9.2)
Replaces: gnustep-ssl
Description: GNUstep Base library - common files
 The GNUstep Base Library is a powerful fast library of general-purpose,
 non-graphical Objective C classes, inspired by the superb OpenStep API but
 implementing Apple and GNU additions to the API as well.
 .
 This package contains the common files needed by the GNUstep Base library.

Package: libgnustep-base`'SOV_BASE
Section: libs
Architecture: any
Depends: gnustep-base-common (>= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gstep-base, gstep-base0, gnustep-gui0 (<< 0.9.1), gnustep-base1 (<< 1.9.2)
Replaces: gstep-base, gstep-base0
Description: GNUstep Base library
 The GNUstep Base Library is a powerful fast library of general-purpose,
 non-graphical Objective C classes, inspired by the superb OpenStep API but
 implementing Apple and GNU additions to the API as well.  It includes for
 example classes for unicode strings, arrays, dictionaries, sets, byte
 streams, typed coders, invocations, notifications, notification dispatchers,
 scanners, tasks, files, networking, threading, remote object messaging
 support (distributed objects), event loops, loadable bundles, attributed
 unicode strings, xml, mime, user defaults.

Package: libgnustep-base`'SOV_BASE-dev
Provides: libgnustep-base-dev
Conflicts: gstep-base-dev, gstep-base0-dev, gnustep-base-dev, gnustep-base1-dev, gnustep-base1 (<< 1.9.2), libgnustep-base-dev
Replaces: gstep-base-dev, gstep-base0-dev, gnustep-base-dev, gnustep-base1-dev
Section: libdevel
Architecture: any
Depends: gnustep-base-common (= ${Source-Version}), gobjc (>= V_OBJC), FFI_DEVPKG, libxml2-dev, zlib1g-dev, libxslt1-dev, libssl-dev, ${shlibs:Depends}, ${misc:Depends}
Description: GNUstep Base header files and development libraries
 This package contains the header files and static libraries required
 to build applications against the GNUstep Base library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

ifdef(`WITH_DEBUG', `
Package: libgnustep-base`'SOV_BASE-dbg
Provides: libgnustep-base-dbg
Conflicts: gstep-base-dbg, gstep-base0-dbg, gnustep-base1-dbg, libgnustep-base-dbg
Replaces: gstep-base-dbg, gstep-base0-dbg, gnustep-base1-dbg
Section: libdevel
Architecture: any
Depends: gnustep-base-common (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNUstep Base library - debug version
 This package contains the shared library of the
 GNUstep Base Library compiled with debugging symbols.
 .
 You probably only need it if you want to compile debuggable
 GNUstep programs.
')

Package: gnustep-base-examples
Architecture: all
Depends: gnustep-base-common (= ${Source-Version})
Conflicts: gstep-base-examples
Replaces: gstep-base-examples
Recommends: libgnustep-base`'SOV_BASE-dev (= ${Source-Version})
Description: Examples using the GNUstep Base Library
 This is the source for a few example (non-GUI) applications
 using the GNUstep Base Library.

Package: gnustep-base-doc
Section: doc
Architecture: all
Recommends: gnustep-base-common (= ${Source-Version})
Conflicts: gnustep-make (<< 1.7.3), gnustep-base-examples (<< 1.7.3)
Description: Documentation for the GNUstep Base Library
 This package contains text, gsdoc, PDF and HTML documentation for the
 GNUstep Base Library.
